Subject: bug#20977: 24.5; Hi Lock Mode fails with "Invalid pattern list expression"

From: martin rudalics <[email-masked]>
Date: Sun, 05 Jul 2015 12:57:01 +0200

> FWIW I can live with this message in this special case,
 > though I agree that it is confusing.

I suppose we could write something like

When hi-lock is started and if the mode is not excluded or patterns
rejected, the beginning of the buffer is searched for lines of the
form:
   Hi-lock: (FOO BAR)

where FOO and BAR are patterns.

but I don't know what `hi-lock-mode' patterns should look like and how
that mode works.  If anyone does, please apply a patch so we can close
this.

martin